# © 2020 Le Filament (<https://www.le-filament.com>)
# © 2020 Confédération Générale des Scop (<https://www.les-scop.coop>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models


class CgscopTimesheetPrintWizard(models.TransientModel):
    _name = "cgscop_timesheet.print.wizard"
    _description = "Wizard de sélection de l'impression"

    @api.model
    def _default_timesheet_id(self):
        return self.env.context.get("active_id")

    timesheet_id = fields.Many2one(
        comodel_name="cgscop.timesheet.sheet",
        string="Fdt",
        default=_default_timesheet_id,
    )

    print_type = fields.Selection(
        string="Type de sortie",
        selection=[("0", "Tri par date"), ("1", "Tri par code activité")],
        required=True,
        default="0",
    )

    # ------------------------------------------------------
    # Validation du wizard
    # ------------------------------------------------------
    def valid_wizard(self):

        report_name = "cgscop_timesheet.cgscop_timesheet_sheet_report"
        if self.print_type == "0":
            report_name = "cgscop_timesheet.cgscop_timesheet_sheet_report"
        elif self.print_type == "1":
            report_name = "cgscop_timesheet.cgscop_timesheet_sheet_report_act"

        return self.env.ref(report_name).report_action(self.timesheet_id)
